## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesToXalanNodeMap::NameMapEqualsFunctor Class Reference

`#include <XercesToXalanNodeMap.hpp>`

Collaboration diagram for XercesToXalanNodeMap::NameMapEqualsFunctor:

List of all members.

## Public Methods

- NameMapEqualsFunctor (const XalanNode* theXalanNode)
- bool operator() (const XercesNodeMapType::value_type& thePair) const

## Constructor & Destructor Documentation

XercesToXalanNodeMap::NameMapEqualsFunctor::NameMapEqualsFunctor ( | const XalanNode * theXalanNode )

## Member Function Documentation

bool XercesToXalanNodeMap::NameMapEqualsFunctor::operator() ( | const XercesNodeMapType::value_type & thePair ) const`[]`

The documentation for this class was generated from the following file:

- XercesToXalanNodeMap.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.